From 4b832e819de51bd2f32eb798cb648dc8d4064dbc Mon Sep 17 00:00:00 2001
From: Junio C Hamano <junkio@cox.net>
Date: Fri, 7 Jul 2006 03:17:16 -0700
Subject: [PATCH] git-svn: migrate out of contrib (follow-up)

Check for SVN::Core so test 910[45] don't fail if the user
doesn't have those installed.

Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
---
 t/lib-git-svn.sh | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/t/lib-git-svn.sh b/t/lib-git-svn.sh
index 450fee8997..29a1e72c61 100644
--- a/t/lib-git-svn.sh
+++ b/t/lib-git-svn.sh
@@ -11,8 +11,15 @@ GIT_DIR=$PWD/.git
 GIT_SVN_DIR=$GIT_DIR/svn/git-svn
 SVN_TREE=$GIT_SVN_DIR/svn-tree
 
+perl -e 'use SVN::Core' >/dev/null 2>&1
+if test $? -ne 0
+then
+   echo 'Perl SVN libraries not found, tests requiring those will be skipped'
+   GIT_SVN_NO_LIB=1
+fi
+
 svnadmin >/dev/null 2>&1
-if test $? != 1
+if test $? -ne 1
 then
     test_expect_success 'skipping git-svn tests, svnadmin not found' :
     test_done
@@ -20,7 +27,7 @@ then
 fi
 
 svn >/dev/null 2>&1
-if test $? != 1
+if test $? -ne 1
 then
     test_expect_success 'skipping git-svn tests, svn not found' :
     test_done
-- 
2.40.0